config/routes.rb
Rails.application.routes.draw do
    # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
    # resources :users do
    #     get :sign_up, on: :collection
    #     # get :sign_in, on: :collection
    #     post :sign_in_user
    # end

    get '/404' => "errors#not_found"
    get '/422' => "errors#unacceptable"
    get '/500' => "errors#internal_error"

    get '/auth/:provider/callback', to: 'oauth#callback', as: 'oauth_callback'
    get '/auth/failure', to: 'oauth#failure', as: 'oauth_failure'


    devise_scope :user do
        authenticated :user do
            get '/' => 'home#index', as: :authenticated_root
        end

        unauthenticated do
            root 'sessions#new', as: :unauthenticated_root
        end
    end

    devise_for :users, controllers: { registrations: 'registrations', sessions: "sessions", passwords: "passwords" }
    devise_scope :user do
        get "user/password/successful_reset_password" , :to => "devise/passwords#successful_reset_password" , :as => :successful_reset_password
        post "verify_school_user", :to => "registrations#verify_school_user"
    end

    resources :users, only: [ :edit, :update ] do
        post :reset_password, on: :collection
        put :change_password, on: :collection
        post :upload_resume, on: :collection
        get :download_resume, on: :collection
    end

    resources :companies do
        get :get_cities, on: :collection
        post :search, on: :collection
        get :fetch_master_data, on: :collection
        post :add_company_as_favorite, on: :collection
        get :sponsored_petitions, on: :collection
        get :search_industry, on: :collection
        get :search_company, on: :collection
        get :company_select2, on: :collection
        get :industry_select2, on: :collection
        get :university_select2, on: :collection
        get :birth_country_select2, on: :collection
        get :job_title_select2, on: :collection
        get :state_select2, on: :collection
        get :city_select2, on: :collection
        post :fetch_map_data, on: :collection
    end

    resources :videos do
        get :get_video_list, on: :collection
        get :search, on: :collection
        get :order_list, on: :collection
    end

    resources :jobs, only: :index do
        post :search, on: :collection
        get :get_open_jobs, on: :collection
        post :favorite_job, on: :collection
    end

    resources :country_insights, only: [:index, :show] do
        get :search, on: :collection
    end

    resources :notifications, only: [ :index ] do
        get :read, on: :member
    end
    resources :gameplan, only: [ :index ] do
        get :take_test, on: :collection
        post :user_answers, on: :collection
    end
    resources :checklists, only: [ :index, :create ] do
        post 'delete_checklist', on: :collection, as: 'delete_checklist'
        post 'edit_checklist', on: :collection, as: 'edit_checklist'
        post 'mark_checklist', on: :collection, as: 'mark_checklist'
    end
    resources :network_trackers do
        get :search, on: :collection
    end
    resources :favorite_companies, only: [ :index, :create ]
    resources :feedbacks, only: [ :new, :create ]
    resources :contact_us, only: [ :new, :create ]

    get :list_post_comments, to: 'home#list_post_comments'
    post :add_comment, to: 'home#add_comment'
    post :like_post, to: 'home#like_post'
    post :add_post, to: 'home#add_post'
    post :favorite_post, to: 'home#favorite_post'
    get :get_link_info, to: 'home#get_link_info'
    post :delete_comment, to: 'home#delete_comment'
    post :bookmarked_articles, to: 'home#bookmarked_articles'
    get :search, to: 'home#search'
    get :delete_post, to: 'home#delete_post'

end

app/controllers/country_insights_controller.rb
class CountryInsightsController < ApplicationController
    include ActionView::Helpers::NumberHelper
    require 'nokogiri'
    require "net/http"

    def index
        # @countries = CountryGuide.joins(" left join apps_countries as a on a.country_name=country_guides.country_name").select("LOWER(country_code) as country_code,country_guides.*") #.where("country_guides.country_name LIKE ?",wildcard_search )
        @countries = Country.joins('left join country_guides as a on a.country_name = countries.name').order('name ASC') #.limit(100)
        # resp = Net::HTTP.get_response(URI.parse('https://restcountries.eu/rest/v2/all'))
        # data = JSON.parse(resp.body)
        # @countries = data.map{ |x| {name:  x['name'], flag: x['flag']}}
        get_country_info(@countries.first.id)
        logger.info "=======#{@countries.inspect}=========="
    end

    def show
        get_country_info(params[:id])
        respond_to do |format|
            format.js
        end
    end

    def get_country_info(id)
        @country = Country.find(id)
        @country_guide = CountryGuide.joins("left join apps_countries as a on a.country_name=country_guides.country_name").where("country_guides.country_name = ?", @country.name).select("LOWER(country_code) as country_code,country_guides.*")[0]
        logger.info "==guide===#{@country_guide.inspect}"
        @is_indeed_company = IndeedCountry.find_by_name(@country.name).present?
        if @country_guide.cia_link.present? && @country_guide.cia_link != 'NA'
            logger.info "====in===="
            object = Nokogiri::HTML(open(@country_guide.cia_link))
            @overview = object.css('.expandcollapse').css('li')[9].css('.category_data')[0].text + "<br />" + object.css('.expandcollapse').css('li')[9].css('.category_data')[1].text + "<br />" + object.css('.expandcollapse').css('li')[9].css('.category_data')[2].text + "<br />" + object.css('.expandcollapse').css('li')[9].css('.category_data')[3].text + "<br />" + object.css('.expandcollapse').css('li')[9].css('.category_data')[4].text + "<br />" + object.css('.expandcollapse').css('li')[9].css('.category_data')[5].text

            uri = URI("http://api.worldbank.org/v2/countries/#{@country_guide.country_code}/indicators/SP.POP.TOTL?format=json")
            res = Net::HTTP.get(uri)
            res = JSON.parse(res)
            logger.info { "re------------#{res[0]['page']}" }
            @population = res[0]['page'] > 0 ? res[1][0]['value'].present? ? number_to_human(res[1][0]['value'], units: {million: 'M'}) : res[1][1]['value'].present? ? number_to_human(res[1][1]['value'], units: {million: 'M'}) : (res[2][0]['value'].present? && !res[2][0]['value'].nil?) ? number_to_human(res[2][0]['value'], units: {million: 'M'}) : '0' :'0'
            #@population = res.present? ? res[1].present? ? number_to_human(res[1][1]['value'], units: {million: 'M'}) : number_to_human(res[2][0]['value'], units: {million: 'M'}) : ''

            uri = URI("http://api.worldbank.org/v2/countries/#{@country_guide.country_code}/indicators/SL.UEM.TOTL.ZS?format=json")
            res = Net::HTTP.get(uri)
            res = JSON.parse(res)
            @unemployment = res[0]['page'] > 0 ? (res[1][0]['value'].present? && !res[1][0]['value'].nil?) ? number_to_human(res[1][0]['value'].round(2)) : (res[1][1].present? && !res[1][1].nil?) ? res[1][1]['value'] : (res[2][0].present? && !res[2][0]['value'].nil?)  ? res[2][0]['value'] : '0.0' : '0.0'
            #@unemployment = number_to_human(res[1][0]['value'].round(2))

            uri = URI("http://api.worldbank.org/v2/countries/#{@country_guide.country_code}/indicators/NY.GDP.MKTP.KD.ZG?format=json")
            res = Net::HTTP.get(uri)
            res = JSON.parse(res)
            @gdp_growth = res[0]['page'] > 0 ? !res[1][0]['value'].nil? ? number_to_human(res[1][0]['value'].round(2)) : (res[1][1].present? && !res[1][1]['value'].nil?) ? number_to_human(res[1][1]['value'].round(2)) : '0.0' : '0.0'
            #@gdp_growth = number_to_human(res[1][1]['value'].round(2))

            uri = URI("http://api.worldbank.org/v2/countries/#{@country_guide.country_code}/indicators/NY.GDP.PCAP.CD?format=json")
            res = Net::HTTP.get(uri)
            res = JSON.parse(res)
            # logger.info "===res-==#{res[1][1]['value'].round(2)}"
            @gdp_per_cap = res[0]['page'] > 0 ? !res[1][0]['value'].nil? ? number_to_human(res[1][0]['value'].round(2), units: {million: 'M', thousand: 'K'}) : (res[1][0].present? && !res[1][0]['value'].nil?) ? number_to_human(res[1][1]['value'].round(0), units: {million: 'M', thousand: 'K'}) : '0.0' : '0.0'
            #@gdp_per_cap = number_to_human(res[1][1]['value'].round(0), units: {million: 'M', thousand: 'K'})


            #+ object.css('.expandcollapse').css('li')[9].css('.category_data')[1] + object.css('.expandcollapse').css('li')[9].css('.category_data')[2] + object.css('.expandcollapse').css('li')[9].css('.category_data')[3] + object.css('.expandcollapse').css('li')[9].css('.category_data')[4] + object.css('.expandcollapse').css('li')[9].css('.category_data')[5]
        else
            logger.info "=====out-=="
            @overview = 'No description found'
            @population = 0.0
            @unemployment = 0.0
            @gdp_per_cap = 0.0
            @gdp_growth = 0.0
        end
    end

    def search
        if params[:search].present? && !params[:search].blank?
            @countries = Country.joins('left join country_guides as a on a.country_name = countries.name').where('countries.name like ?', "%#{params[:search]}%").order('countries.name')
        else
            @countries = Country.joins('left join country_guides as a on a.country_name = countries.name').order('name ASC').limit(100)
        end
    end
end

app/helpers/country_insights_helper.rb
module CountryInsightsHelper
end

app/views/country_insights/_country_detail.html.erb
<!-- <div class="col-xs-12">
    <div class="article cinsight"> -->
        <div class="header">
            <!-- <a href="<%#= country_insights_path  %>" class="back-icon"></a> -->
            <h1 class="font-light"><%= @country.name %></h1>
        </div>
        <div class="article-content">

            <div class="row topsec">
                <div class="col-sm-2"><img src="<%= @country.flag.url %>" alt="" class="img-responsive flag" /></div>
                <div class="col-sm-10">
                    <div class="row">
                        <!-- <div class="col-sm-12 col-xs-12">
                            <h1><%= @country_guide.country_name %></h1>
                        </div> -->
                        <div class="col-sm-3 col-xs-6 cntry_padding">
                            <h4 class="font-bold">Population</h4>
                            <h2><%= @population %></h2>
                        </div>
                        <div class="col-sm-3 col-xs-6 cntry_padding no-padding">
                            <h4 class="font-bold">Unemployment (%)</h4>
                            <h2><%= @unemployment %>%</h2>
                        </div>
                        <div class="col-sm-3 col-xs-6 cntry_padding">
                            <h4 class="font-bold">GDP Growth</h4>
                            <h2><%= @gdp_growth %>%</h2>
                        </div>
                        <div class="col-sm-3 col-xs-6 cntry_padding">
                            <h4 class="font-bold">GDP Per Capita</h4>
                            <h2>USD <%= @gdp_per_cap %></h2>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-sm-12">
                    <h3>Overview</h3>
                    <!-- <p><%#= @overview.html_safe %></p> -->
                    <%  if (@overview.present? && @overview.html_safe.length > 240) %>
                        <p class="overview collapsed">
                            <%= truncate(@overview.html_safe, length: 800, escape: false) %>
                            <a class="link view_more_content_link" href="javascript:void(0)" id='view_more_content' data-id="<%= @country.id %>">Read more</a>
                        </p>
                        <p class="overview detailed">
                            <%= @overview.html_safe %>
                            <a class="link view_less_content_link" href="javascript:void(0)" id='view_more_content' data-id="<%= @country.id %>">...Read less</a>
                        </p>
                    <% else %>
                        <p class="overview">
                            <%= @overview.html_safe %>
                        </p>
                    <% end %>
                </div>
            </div>

            <div class="map-sec">
                <div class="row">
                    <div class="col-sm-12 col-md-12">
                        <div class="row">
                            <div class="col-sm-3 col-xs-6 map_img">
                                <% if @is_indeed_company == true %>
                                    <div class="cntryinfo">
                                        <a href="<%= search_jobs_path('job_search[country]': @country_guide.country_code, 'job_search[job_region]': 'international', 'job_search[job_type]': 'all', 'job_search[publish_date]': 'any', 'page': 1, sort: 'relevance', 'job_search[search]': @country_guide.country_code) %>" class="" data-method="post" data-name="<%= @country_guide.country_code %>"> <img src="/assets/jobs.png" alt="" class="img-responsive">
                                            <p>Jobs</p>
                                        </a>
                                    </div>
                                <% else %>
                                    <div class="cntryinfo <%= @country_guide.job_site_link != 'NA' ? '' : 'disabled_parent' %>">
                                        <a href="<%= @country_guide.job_site_link != 'NA' ? @country_guide.job_site_link : 'javascript:void(0)' %>" target="_blank" class="<%= @country_guide.job_site_link != 'NA' ? '' : 'disabled' %>"> <img src="/assets/jobs.png" alt="" class="img-responsive">
                                            <p>Jobs</p>
                                        </a>
                                    </div>
                                <% end %>
                            </div>
                            <div class="col-sm-3 col-xs-6 map_img">
                                <div class="cntryinfo <%= @country_guide.cia_link != 'NA' ? '' : 'disabled_parent' %>">
                                    <a href="<%= @country_guide.cia_link != 'NA' ? @country_guide.cia_link : 'javascript:void(0)' %>" target="_blank" class="<%= @country_guide.cia_link != 'NA' ? '' : 'disabled' %>"> <img src="/assets/fact.png" alt="" class="img-responsive">
                                        <p>Factbook</p>
                                    </a>
                                </div>
                            </div>
                            <div class="col-sm-3 col-xs-6 map_img">
                                <div class="cntryinfo <%= @country_guide.cdc_gov != 'NA' ? '' : 'disabled_parent' %>">
                                    <a href="<%= @country_guide.cdc_gov != 'NA' ? @country_guide.cdc_gov : 'javascript:void(0)' %>" target="_blank" class="<%= @country_guide.cdc_gov != 'NA' ? '' : 'disabled' %>"> <img src="/assets/health.png" alt="" class="img-responsive" title="Health Advisory" data-toggle="tooltip">
                                        <p>Health Advisory</p>
                                    </a>
                                </div>
                            </div>
                            <div class="col-sm-3 col-xs-6 map_img">
                                <div class="cntryinfo <%= @country_guide.immegration_website != 'NA' ? '' : 'disabled_parent' %>">
                                    <a href="<%= @country_guide.immegration_website != 'NA' ? @country_guide.immegration_website : 'javascript:void(0)' %>" target="_blank" class="<%= @country_guide.immegration_website != 'NA' ? '' : 'disabled' %>"> <img src="/assets/immigration.png" alt="" class="img-responsive">
                                        <p>Immigration</p>
                                    </a>
                                </div>
                            </div>
                            <div class="col-sm-3 col-xs-6 map_img">
                                <div class="cntryinfo <%= @country_guide.numbeo != 'NA' ? '' : 'disabled_parent' %>">
                                    <a href="<%= @country_guide.numbeo != 'NA'  ? @country_guide.numbeo : 'javascript:void(0)' %>" target="_blank" class="<%= @country_guide.numbeo != 'NA' ? '' : 'disabled' %>"> <img src="/assets/cost.png" alt="" class="img-responsive">
                                        <p>Cost of Living</p>
                                    </a>
                                </div>
                            </div>
                            <div class="col-sm-3 col-xs-6 map_img">
                                <div class="cntryinfo <%= @country_guide.lonely_planet != 'NA' ? '' : 'disabled_parent' %>">
                                    <a href="<%= @country_guide.lonely_planet != 'NA' ? @country_guide.lonely_planet : 'javascript:void(0)' %>" target="_blank" class="<%= @country_guide.lonely_planet != 'NA' ? '' : 'disabled' %>"> <img src="/assets/travel.png" alt="" class="img-responsive">
                                        <p>Travel</p>
                                    </a>
                                </div>
                            </div>
                            <div class="col-sm-3 col-xs-6 map_img">
                                <div class="cntryinfo <%= @country_guide.us_travel_advisory != 'NA' ? '' : 'disabled_parent' %>">
                                    <a href="<%= @country_guide.us_travel_advisory != 'NA' ? @country_guide.us_travel_advisory : 'javascript:void(0)' %>" target="_blank" class="<%= @country_guide.us_travel_advisory != 'NA' ? '' : 'disabled' %>"> <img src="/assets/travela.png" alt="" class="img-responsive">
                                        <p>Travel Advisory</p>
                                    </a>
                                </div>
                            </div>
                            <div class="col-sm-3 col-xs-6 map_img">
                                <div class="cntryinfo <%= @country_guide.hofstede_insights != 'NA' ? '' : 'disabled_parent' %>">
                                    <a href="<%= @country_guide.hofstede_insights != 'NA' ? @country_guide.hofstede_insights : 'javascript:void(0)' %>" target="_blank" class="<%= @country_guide.hofstede_insights != 'NA' ? '' : 'disabled' %>"> <img src="/assets/hofstede.png" alt="" class="img-responsive">
                                        <p>Culture</p>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-12 col-md-12">
                        <div id="map"></div>
                    </div>
                </div>
            </div>
        </div>
    <!-- </div>
</div> -->
<% logger.info "===req===#{request.format }" %>
<script>
    function initMapNew(country) {
        // var loct = <%#= raw(marker.to_json) %>
        // console.log(loct[0])
        var map = new google.maps.Map(document.getElementById('map'), {
            zoom: 5,
            // center: loct[0]
        });
        geocoder = new google.maps.Geocoder();
        geocoder.geocode( { 'address': country }, function(results, status) {
            map.setCenter(results[0].geometry.location);
            var marker = new google.maps.Marker({
                map: map,
                position: results[0].geometry.location,
                // label: labels[i % labels.length]
                // alert(1)
            });
        })
        // geocoder.geocode( { 'address': "<%#= @country.name %>" }, function(results, status) {
        //     map.setCenter(results[0].geometry.location);
        // }

        // // Add a marker clusterer to manage the markers.
        // var markerCluster = new MarkerClusterer(map, markers, {imagePath: 'https://developers.google.com/maps/documentation/javascript/examples/markerclusterer/m'});
    }
</script>
<% if request.format.eql?('text/javascript') %>
    <script async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAQoyHt6t48brE7eZT4yGhSC4eGs0Hlclg&callback=initMapNew(<%= @country.name %>)"></script>
<% end %>

app/views/country_insights/_country_list.html.erb
<% @countries.each do |country| %>
    <% if CountryGuide.find_by(country_name: country['name']).present? %>
        <div class="col-sm-12 col-xs-12 cntry-flg">
            <div class="cntry">
                <!-- <a href="<%#= country_insight_path(country['id']) %>"> -->
                <a href="javascript:void(0)" class="country_flag" data-id="<%= country['id'] %>">
                    <div class="flag_img">
                        <img data-original="<%= country.flag.url %>" alt="" class="img-responsive lazy" />
                    </div>
                    <p><%= country.name %></p>
                </a>
            </div>
        </div>
    <% end %>
<% end %>

app/views/country_insights/search.js.erb
<% if @countries.present? %>
    $('.country_list').empty().html("<%= escape_javascript(render partial: 'country_list', locals: { '@countries': @countries }) %>")
<% end %>
get_country_detail()
$(".detailed").hide()
$('.view_more_content_link').click(function(){
    // var id = $(this).data('id')
    // alert(1)
    // console.log($(this).next().next());
    // $(this).parent().find('.collapsed').hide()
    // $(this).parent()).hide();
    // $(this).next().find('.detailed').show()
    $(".collapsed").hide()
    $(".detailed").show()
})

app/views/country_insights/show.html.erb
<!--section-->
<section>
    <div class="container">
        <div class="row">

            <!--middle-section-->
            <div class="col-xs-12">
                <div class="article cinsight">
                    <div class="header margin-bottom-15">
                        <h1><a href="<%= country_insights_path  %>" class="back-icon"></a><%= @country.name %></h1>
                    </div>
                    <div class="article-content">

                        <div class="row topsec">
                            <div class="col-sm-3"><img src="<%= @country.flag.url(:medium) %>" alt="" class="img-responsive flag" /></div>
                            <div class="col-sm-9">
                                <div class="row">
                                    <div class="col-sm-12 col-xs-12">
                                        <h1><%= @country_guide.country_name %></h1>
                                    </div>
                                    <div class="col-sm-3 col-xs-6">
                                        <h4>Population</h4>
                                        <h2><%= @population %></h2>
                                    </div>
                                    <div class="col-sm-3 col-xs-6">
                                        <h4>Unemployment (%)</h4>
                                        <h2><%= @unemployment %>%</h2>
                                    </div>
                                    <div class="col-sm-3 col-xs-6">
                                        <h4>GDP Growth</h4>
                                        <h2><%= @gdp_growth %>%</h2>
                                    </div>
                                    <div class="col-sm-3 col-xs-6">
                                        <h4>GDP Per Capita</h4>
                                        <h2>USD <%= @gdp_per_cap %></h2>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-sm-12">
                                <h3>Overview</h3>
                                <p><%= @overview.html_safe %></p>
                            </div>
                        </div>


                        <div class="map-sec">
                            <div class="row">
                                <div class="col-sm-6 col-md-5">
                                    <div class="row">
                                        <div class="col-sm-4 col-xs-6">
                                            <% if @is_indeed_company == true %>
                                                <div class="cntryinfo">
                                                    <a href="javascript:void(0)" target="_blank" class="country_jobs_search" data-name="<%= @country.name %>"> <img src="/interstride/assets/jobs.png" alt="" class="img-responsive">
                                                        <p>Jobs</p>
                                                    </a>
                                                </div>
                                            <% else %>
                                                <div class="cntryinfo">
                                                    <a href="<%= @country_guide.job_site_link != 'NA' ? @country_guide.job_site_link : 'javascript:void(0)' %>" target="_blank"> <img src="/interstride/assets/jobs.png" alt="" class="img-responsive">
                                                        <p>Jobs</p>
                                                    </a>
                                                </div>
                                            <% end %>
                                        </div>
                                        <div class="col-sm-4 col-xs-6">
                                            <div class="cntryinfo">
                                                <a href="<%= @country_guide.cia_link != 'NA' ? @country_guide.cia_link : 'javascript:void(0)' %>" target="_blank"> <img src="/interstride/assets/fact.png" alt="" class="img-responsive">
                                                    <p>Factbook</p>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="col-sm-4 col-xs-6">
                                            <div class="cntryinfo">
                                                <a href="<%= @country_guide.cdc_gov != 'NA' ? @country_guide.cdc_gov : 'javascript:void(0)' %>" target="_blank"> <img src="/interstride/assets/health.png" alt="" class="img-responsive">
                                                    <p>Health Advisory</p>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="col-sm-4 col-xs-6">
                                            <div class="cntryinfo">
                                                <a href="<%= @country_guide.immegration_website != 'NA' ? @country_guide.immegration_website : 'javascript:void(0)' %>" target="_blank"> <img src="/interstride/assets/immigration.png" alt="" class="img-responsive">
                                                    <p>Immigration</p>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="col-sm-4 col-xs-6">
                                            <div class="cntryinfo">
                                                <a href="<%= @country_guide.numbeo != 'NA'  ? @country_guide.numbeo : 'javascript:void(0)' %>" target="_blank"> <img src="/interstride/assets/cost.png" alt="" class="img-responsive">
                                                    <p>Cost of Living</p>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="col-sm-4 col-xs-6">
                                            <div class="cntryinfo">
                                                <a href="<%= @country_guide.lonely_planet != 'NA' ? @country_guide.lonely_planet : 'javascript:void(0)' %>" target="_blank"> <img src="/interstride/assets/travel.png" alt="" class="img-responsive">
                                                    <p>Travel</p>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="col-sm-4 col-xs-6">
                                            <div class="cntryinfo">
                                                <a href="<%= @country_guide.us_travel_advisory != 'NA' ? @country_guide.us_travel_advisory : 'javascript:void(0)' %>" target="_blank"> <img src="/interstride/assets/travela.png" alt="" class="img-responsive">
                                                    <p>Travel Advisory</p>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="col-sm-4 col-xs-6">
                                            <div class="cntryinfo">
                                                <a href="<%= @country_guide.hofstede_insights != 'NA' ? @country_guide.hofstede_insights : 'javascript:void(0)' %>" target="_blank"> <img src="/interstride/assets/hofstede.png" alt="" class="img-responsive">
                                                    <p>Culture</p>
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-sm-6 col-md-7">
                                    <div id="map"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
<!--/middle-section-->
        </div>
    </div>
</section>
<!--/section-->
<script>
// function initMap() {
//   var uluru = {lat: -25.363, lng: 131.044};
//   var map = new google.maps.Map(document.getElementById('map'), {
//     zoom: 4,
//     center: uluru
//   });
//   var marker = new google.maps.Marker({
//     position: uluru,
//     map: map
//   });
// }

function initMap() {
    // var loct = <%#= raw(marker.to_json) %>
    // console.log(loct[0])
    var map = new google.maps.Map(document.getElementById('map'), {
        zoom: 5,
        // center: loct[0]
    });
    geocoder = new google.maps.Geocoder();
    geocoder.geocode( { 'address': "<%= @country.name %>" }, function(results, status) {
        map.setCenter(results[0].geometry.location);
        var marker = new google.maps.Marker({
            map: map,
            position: results[0].geometry.location,
            // label: labels[i % labels.length]
            // alert(1)
        });
    })
    // geocoder.geocode( { 'address': "<%#= @country.name %>" }, function(results, status) {
    //     map.setCenter(results[0].geometry.location);
    // }

    // // Add a marker clusterer to manage the markers.
    // var markerCluster = new MarkerClusterer(map, markers, {imagePath: 'https://developers.google.com/maps/documentation/javascript/examples/markerclusterer/m'});
}
</script>
<script async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAQoyHt6t48brE7eZT4yGhSC4eGs0Hlclg&callback=initMap"></script>